Skip to main content
GET
/
bundle_pricing
/
user_bundles
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const userBundle of client.bundlePricing.userBundles.list()) {
  console.log(userBundle.id);
}
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.bundle_pricing.user_bundles.list()
page = page.data[0]
print(page.id)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.BundlePricing.UserBundles.List(context.TODO(), telnyx.BundlePricingUserBundleListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleListPage;
import com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleListParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

UserBundleListPage page = client.bundlePricing().userBundles().list();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

page = telnyx.bundle_pricing.user_bundles.list

puts(page)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$page = $client->bundlePricing->userBundles->list(
filter: ['countryISO' => ['US'], 'resource' => ['+15617819942']],
pageNumber: 0,
pageSize: 0,
authorizationBearer: 'authorization_bearer',
);

var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx bundle-pricing:user-bundles list \
--api-key 'My API Key'
curl --request GET \
--url https://api.telnyx.com/v2/bundle_pricing/user_bundles \
--header 'Authorization: Bearer <token>'
{
  "meta": {
    "total_results": 55,
    "total_pages": 3,
    "page_number": 2,
    "page_size": 25
  },
  "data": [
    {
      "id": "ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
      "active": true,
      "user_id": "16856d8c-cd59-4b08-9ac2-1ebb01d419e1",
      "created_at": "2025-01-20",
      "billing_bundle": {
        "id": "7ecd040e-6bac-4139-9160-3c0427d98fea",
        "name": "Australia Basic",
        "cost_code": "BUNDLE-PRICING-BASIC-MRC",
        "is_public": true,
        "created_at": "2023-12-25",
        "slug": "basic-au-e4f8",
        "mrc_price": 2,
        "currency": "USD",
        "specs": [
          "1 AU Number",
          "Emergency Calling",
          "All inbound and outbound calling billed pay-as-you-go"
        ]
      },
      "resources": [],
      "updated_at": "2025-01-20"
    }
  ]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization_bearer
string

Format: Bearer Authenticates the request with your Telnyx API V2 KEY

Query Parameters

filter
object

Consolidated filter parameter (deepObject style). Supports filtering by country_iso and resource. Examples: filter[country_iso]=US or filter[resource]=+15617819942

page
object

Consolidated page parameter (deepObject style). Originally: page[size], page[number]

Response

Successful Response

meta
PaginationResponse · object
required
data
Data · object[]
required